- name: build docker image for Docker Hub docker-registry
  docker_image:
    docker_api_version: "{{ docker_api_version }}"
    path: "{{ docker_working_directory }}/app-{{ app_version }}"
    tag: "{{ app_version }}"
    name: "{{ docker_registry_username}}/{{ docker_image_name }}"
    state: present
  register: build_stats

- name: push docker image to docker-registry {{ docker_registry }}
  shell: "docker push {{ docker_registry_username }}/{{ docker_image_name }}:{{ app_version }}"
  when: build_stats is changed
